> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert funds

> Convert user's balance from one currency to another (fiat-to-fiat)



## OpenAPI

````yaml post /balance/convert
openapi: 3.0.2
info:
  title: Coinprofile business API
  version: 1.0.0
  description: Coinprofile business API
servers:
  - url: https://staging-biz.coinprofile.co/v2
    description: Production
security: []
tags: []
paths:
  /balance/convert:
    post:
      summary: Convert funds
      description: Convert user's balance from one currency to another (fiat-to-fiat)
      operationId: convertFunds
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                fromCurrency:
                  type: string
                  description: Base currency to convert.
                  enum:
                    - NGN
                    - USD
                toCurrency:
                  type: string
                  description: Currency being converted to.
                  enum:
                    - NGN
                    - USD
                amount:
                  type: string
                  description: Amount to convert.
              required:
                - fromCurrency
                - toCurrency
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      transferDetail:
                        type: object
                        properties:
                          transactionId:
                            type: string
                          sender:
                            type: string
                          status:
                            type: string
                            enum:
                              - fullfiled
                              - processing
                              - failed
                          date:
                            type: string
                            format: date
                          toCurrency:
                            type: string
                            enum:
                              - NGN
                              - USD
                          fromCurrency:
                            type: string
                            enum:
                              - NGN
                              - USD
                          receiveAmount:
                            type: string
                          amount:
                            type: string
                          username:
                            type: string
                          senderPrevbalance:
                            type: string
      security:
        - ApiUser: []
          ApiKey: []
          UserVersion: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key
    UserVersion:
      type: apiKey
      in: header
      name: X-User-Version

````